curl --location --request PUT 'https://connect.dispatchable.com/automations/api/v1/automations/' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"type": "dispatchable",
"item_type": "string",
"description": "string",
"trigger": "string",
"trigger_value": "string",
"is_active": true,
"is_private": true,
"status": "draft"
}'{
"data": {
"id": 1,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"company_uuid": "aba69bec-94b3-48e8-9737-4f951465d0f8",
"created_by": 0,
"name": "Auto-dispatch new loads",
"type": "dispatchable",
"item_type": "load",
"description": "string",
"trigger": "create",
"trigger_value": "string",
"is_active": true,
"status": "draft",
"is_private": true,
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z",
"deleted_at": "2019-08-24T14:15:22.123Z"
},
"message": "string",
"success": true
}